## com.google.gwt.core.ext.typeinfo
Class JParameter

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JParameter

All Implemented Interfaces:
  HasAnnotations, HasMetaData

    public class JParameter

extends java.lang.Object
implements HasAnnotations, HasMetaData

Represents a parameter in a declaration.

Constructor Summary
`JParameter(JAbstractMethod enclosingMethod, JType type, java.lang.String name)`
`JParameter(JAbstractMethod enclosingMethod, JType type, java.lang.String name, java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,java.lang.annotation.Annotation> declaredAnnotations)`

Method Summary
`void` | `addMetaData(java.lang.String tagName, java.lang.String[] values)` Adds additional metadata.

`

`<T extends java.lang.annotation.Annotation> T`

`

`getAnnotation(java.lang.Class<T> annotationClass)`
Returns an instance of the specified annotation type if it is present on this element or `null` if it is not.

`JAbstractMethod` | `getEnclosingMethod()`
`java.lang.String[][]` | `getMetaData(java.lang.String tagName)` Gets each list of metadata for the specified tag name.
`java.lang.String[]` | `getMetaDataTags()` Gets the name of available metadata tags.
`java.lang.String` | `getName()`
`JType` | `getType()`
`boolean` | `isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)` Returns `true` if this item has an annotation of the specified type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JParameter

    public JParameter(JAbstractMethod enclosingMethod,
                      JType type,
                      java.lang.String name)

### JParameter

    public JParameter(JAbstractMethod enclosingMethod,
                      JType type,
                      java.lang.String name,
                      java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,java.lang.annotation.Annotation> declaredAnnotations)

Method Detail

### addMetaData

    public void addMetaData(java.lang.String tagName,
                            java.lang.String[] values)

  Description copied from interface: `HasMetaData`
  Adds additional metadata.

  Specified by:
    `addMetaData` in interface `HasMetaData`

### getAnnotation

    public <T extends java.lang.annotation.Annotation> T getAnnotation(java.lang.Class<T> annotationClass)

  Description copied from interface: `HasAnnotations`
  Returns an instance of the specified annotation type if it is present on this element or `null` if it is not.

  Specified by:
    `getAnnotation` in interface `HasAnnotations`
  Parameters:
    `annotationClass` - annotation type to search for
  Returns:
    instance of the specified annotation type if it is present on this element or `null` if it is not

### getEnclosingMethod

    public JAbstractMethod getEnclosingMethod()

### getMetaData

    public java.lang.String[][] getMetaData(java.lang.String tagName)

  Description copied from interface: `HasMetaData`
  Gets each list of metadata for the specified tag name.

  Specified by:
    `getMetaData` in interface `HasMetaData`

### getMetaDataTags

    public java.lang.String[] getMetaDataTags()

  Description copied from interface: `HasMetaData`
  Gets the name of available metadata tags.

  Specified by:
    `getMetaDataTags` in interface `HasMetaData`

### getName

    public java.lang.String getName()

### getType

    public JType getType()

### isAnnotationPresent

    public boolean isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)

  Description copied from interface: `HasAnnotations`
  Returns `true` if this item has an annotation of the specified type.

  Specified by:
    `isAnnotationPresent` in interface `HasAnnotations`
  Returns:
    `true` if this item has an annotation of the specified type

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`